#include <gui/main_screen/MainView.hpp>
#include <gui/main_screen/MainPresenter.hpp>

MainPresenter::MainPresenter(MainView& v)
    : view(v)
{
}

void MainPresenter::activate()
{
    view.setLightState(model->getLightState());
    view.setTemperature(model->getWaterTemp());
}

void MainPresenter::deactivate()
{

}

void MainPresenter::lightToggled(bool new_state)
{
    //save in model
    model->setLightState(new_state);
    
    //update UI to reflect state
    view.setLightState(new_state);
}

void MainPresenter::temperatureChanged()
{
    view.setTemperature(model->getWaterTemp());
}
