#include <gui/main_screen/MainView.hpp>
#include <BitmapDatabase.hpp>

MainView::MainView()
{

}

void MainView::setupScreen()
{

}

void MainView::tearDownScreen()
{

}

void MainView::lightToggled()
{
    bool new_state = toggleButtonLight.getState();
    touchgfx_printf("lightToggled: %d\n", new_state);

    //inform Model through presenter
    presenter->lightToggled(new_state);
}

void MainView::setLightState(bool state)
{
    toggleButtonLight.forceState(state);

    if (state)
    {
        background.setBitmap(Bitmap(BITMAP_MAIN_BACKGROUND_LIGHTS_ON_ID));
    }
    else
    {
        background.setBitmap(Bitmap(BITMAP_MAIN_BACKGROUND_ID));
    }
    background.invalidate();
}

void MainView::setTemperature(int temp)
{
    //update text area
    Unicode::itoa(temp, textAreaTemperatureBuffer, TEXTAREATEMPERATURE_SIZE, 10);
    textAreaTemperature.invalidate();
}
