#include <gui/settings_screen/SettingsView.hpp>
#include <touchgfx/Unicode.hpp>

SettingsView::SettingsView()
{

}

void SettingsView::setupScreen()
{
#ifndef SIMULATOR
    //On target, do not allow touch to move slider
    slider.setTouchable(false);
#endif
}

void SettingsView::tearDownScreen()
{

}

void SettingsView::sliderUpdated(int value)
{
    //inform presenter
    presenter->viewSetTemperature(value);
}

void SettingsView::setTemperature(int temp)
{
    //update text area
    Unicode::itoa(temp, textAreaTemperatureBuffer, TEXTAREATEMPERATURE_SIZE, 10);
    textAreaTemperature.invalidate();

    //set slider correct if not already
    if (temp != slider.getValue())
    {
        slider.setValue(temp);
    }
}

